/******************************** LICENSE ********************************

 Copyright 2007 European Centre for Medium-Range Weather Forecasts (ECMWF)

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at 

    http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 ******************************** LICENSE ********************************/

/*! \file IsoShading.cc
    \brief Implementation of the Template class IsoShading.
    
    Magics Team - ECMWF 2004
    
    Started: Tue 9-Mar-2004
    
    Changes:
    
*/



#include "IsoShading.h"
#include "Polyline.h"
#include "UserPoint.h"
#include "PaperPoint.h"
#include "MatrixHandler.h"
#include "PolyShadingMethod.h"
using namespace magics;


IsoShading::IsoShading()
{
 
  
}


IsoShading::~IsoShading()
{
}

void IsoShading::operator()(Polyline* poly) const
{
    (*this->technique_)(poly, *this->colourMethod_);
   
}


/*!
 Class information are given to the output-stream.
*/	

void IsoShading::print(ostream& out)  const
{
	out << "IsoShading[";
	out << "]";
}



